[ooo-build-commit] bin/unpack patches/dev300
Tor Lillqvist
tml at kemper.freedesktop.org
Thu Sep 10 15:18:28 PDT 2009
bin/unpack | 14 ++++++++
patches/dev300/build-fix-win32.diff | 57 ++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
New commits:
commit 7f469e23d36b0486e2aacf905d4a02187fe4d49f
Author: Tor Lillqvist <tlillqvist at novell.com>
Date: Fri Sep 11 01:16:53 2009 +0300
First attempt to handle VC80 CRT used by prebuilt Mozilla bits
diff --git a/bin/unpack b/bin/unpack
index 062d837..ea894f5 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -131,6 +131,20 @@ if test "z$BUILD_WIN32" != "z"; then
check_file $SRCDIR/WNTMSCIlib.zip
check_file $SRCDIR/WNTMSCIruntime.zip
+ # CRT80 that the prebuilt Mozilla needs and the
+ # installer-builder wants to put in the installer
+ for F in msvcr80.dll msvcp80.dll Microsoft.VC80.CRT.manifest; do
+ $echo_n "Looking for $SRCDIR/$F ... $echo_c"
+ if test -f $SRCDIR/$F; then
+ echo "ok"
+ else
+ echo "missing"
+ echo "You can find it in MSVS 2008, in VC/redist/x86/Microsoft.VC80.CRT."
+ echo "It is needed by the prebuilt Mozilla binaries that you should use."
+ exit 1
+ fi
+ done
+
# instmsi?.exe are the installers for Windows Installer 2.0 for
# Win9x, Windows NT 4 and Windows 2000, that nobody really needs
# (I hope). But the installer-builder insists on including them
diff --git a/patches/dev300/build-fix-win32.diff b/patches/dev300/build-fix-win32.diff
index 1383875..9961e22 100644
--- a/patches/dev300/build-fix-win32.diff
+++ b/patches/dev300/build-fix-win32.diff
@@ -14,3 +14,60 @@
sd sd\source\ui\framework\tools nmake - all sd_framework_tools sd_inc NULL
-sd sd\util nmake - all sd_util sd_app sd_cgm sd_core sd_dlg sd_docsh sd_eppt sd_pptx sd_filt sd_func sd_grf sd_unid sd_view sd_xml sd_html sd_ppt sd_accessibility sd_animations sd_toolpanel sd_toolpanel_controls sd_tools sd_slsshell sd_slsmodel sd_slsview sd_slscontroller sd_slscache sd_notes sd_table sd_slideshow sd_presenter sd_undo sd_helper sd_framework_configuration sd_framework_module sd_framework_tools sd_framework_factories NULL
+sd sd\util nmake - all sd_util sd_app sd_cgm sd_core sd_dlg sd_docsh sd_eppt sd_filt sd_func sd_grf sd_unid sd_view sd_xml sd_html sd_ppt sd_accessibility sd_animations sd_toolpanel sd_toolpanel_controls sd_tools sd_slsshell sd_slsmodel sd_slsview sd_slscontroller sd_slscache sd_notes sd_table sd_slideshow sd_presenter sd_undo sd_helper sd_framework_configuration sd_framework_module sd_framework_tools sd_framework_factories NULL
+--- scp2/source/ooo/file_library_ooo.scp
++++ scp2/source/ooo/file_library_ooo.scp
+@@ -1922,6 +1922,12 @@
+ Name = SCP2_URE_DL_NORMAL("msvcr80");
+ Styles = (PACKED, VERSION_INDEPENDENT_COMP_ID);
+ End
++File gid_File_Moz_Msvc80crt_Manifest
++ BIN_FILE_BODY;
++ Styles = (PACKED);
++ Dir = gid_Dir_Program;
++ Name = "Microsoft.VC80.CRT.manifest";
++End
+ #endif
+
+ #ifndef SYSTEM_REDLAND
+--- scp2/source/ooo/common_brand.scp
++++ scp2/source/ooo/common_brand.scp
+@@ -504,18 +504,6 @@
+ Name = "unopkg.bin";
+ End
+
+-#if defined WNT && \
+- (defined M1310 || \
+- ((defined M1400 || defined M1500) && \
+- !(defined SYSTEM_MOZILLA || defined WITHOUT_MOZILLA)))
+-File gid_Brand_File_Bin_Msvcr71
+- TXT_FILE_BODY;
+- Dir = gid_Brand_Dir_Program;
+- Name = SCP2_URE_DL_NORMAL("msvcr71" SCP2_STDLP_DEBUG);
+- Styles = (PACKED);
+-End
+-#endif
+-
+ // Due to Windows DLL search order, OOo executables might pick up a libxml2 DLL
+ // from a Windows system directory instead of the one from the URE; to avoid
+ // problems, as a HACK, for now a copy of the URE libxml2 DLL is placed next to
+--- external/prj/d.lst
++++ external/prj/d.lst
+@@ -34,8 +34,8 @@
+ ..\msvcp80\msvcm80*.dll %_DEST%\bin%_EXT%
+ ..\msvcp80\msvcp80*.dll %_DEST%\bin%_EXT%
+ ..\msvcp80\msvcr80*.dll %_DEST%\bin%_EXT%
+-..\msvcp90\Microsoft.VC80.CRT.manifest %_DEST%\bin%_EXT%\Microsoft.VC80.CRT.manifest
+-..\msvcp90\Microsoft.VC80.DebugCRT.manifest %_DEST%\bin%_EXT%\Microsoft.VC80.DebugCRT.manifest
++..\msvcp80\Microsoft.VC80.CRT.manifest %_DEST%\bin%_EXT%\Microsoft.VC80.CRT.manifest
++..\msvcp80\Microsoft.VC80.DebugCRT.manifest %_DEST%\bin%_EXT%\Microsoft.VC80.DebugCRT.manifest
+
+ ..\msvcp90\msvcm90*.dll %_DEST%\bin%_EXT%
+ ..\msvcp90\msvcp90*.dll %_DEST%\bin%_EXT%
+--- external/msvcp80/README_msvcX80.dll
++++ external/msvcp80/README_msvcX80.dll
+@@ -1,2 +1,3 @@
+-Put the msvcp80.dll and msvcr80.dll in this directory for Windows builds using
+-a VS 2005 compiler.
++Put the msvcp80.dll, msvcr80.dll and Microsoft.VC80.CRT.manifest in this
++directory for Windows builds using VS 2005, or using prebuilt Mozilla DLLs
++that were built using VS 2005.
More information about the ooo-build-commit
mailing list